'use strict'
import axios from 'axios'

export const baseURL = process.env.NODE_ENV === 'development' ? 'http://service.brilliantstart.cn/' :  process.env.NODE_ENV === 'test'? 'http://service.brilliantstart.cn/' : 'http://service.report.hzinsights.com/'

axios.interceptors.request.use(config => {  // 请求拦截
	return config;
},error => {
	return Promise.reject(error);
});

axios.interceptors.response.use(response => {  //响应拦截
	return response;
},error => {
   	return Promise.resolve(error.response);
});

function setData(val,url){  //处理请求数据
	if( url=="/sysuser/login" ){
		console.log( JSON.stringify(val));
		return b.encode(JSON.stringify(val));
	}else{
		var userDtl = sessionStorage.userDtl || '';
		userDtl = JSON.parse( userDtl );
		var usertoken = sessionStorage.Token || '';
		if( userDtl.Account && usertoken ){
			val.Account = userDtl.Account;
			val.Token = usertoken;
			// console.log(JSON.stringify(val));
			return b.encode(JSON.stringify(val));
		}else{
			window.location.href = process.env.login;
		}
	}
}

function checkStatus(response){  //处理响应数据
	if( response && ( response.status === 200 ) ){  // loading,如果http状态码正常，则直接返回数据
		let res = JSON.parse(b.decode(response.data));
		console.log( res );
		if( !res ){
			alert("服务器开了个小差");
			return false;
		}
		if( res.Ret!=200 ){
			alert( res.Msg );
		}
		if( res.Ret==408 ){
			window.location.href=process.env.login;
		}
		return res;
	}else{
		alert("网络异常");
		return false;
	}
}

function checkCode(res){
	alert("网络异常");
	console.log(res);
}

export default{
	post(url,data){  //post请求方式
    	return axios({
      		method:'post',
			url:url,
			baseURL:baseURL,
      		data:setData(data,url),
      		timeout:10000,
            headers:{ 'Content-Type':'application/json; charset=utf-8' }
	    }).then(
	    	(response) => { return checkStatus(response); }
	    ).catch(
	      	(res) => { return checkCode(res); }
	    )
	},
	get(url,params){  //get请求方式
    	return axios({
	      	method:'get',
	      	baseURL:baseURL,
	      	url:url,
	      	params:params,
	      	timeout:10000,
            headers:{ 'X-Requested-With':'XMLHttpRequest' }
	    }).then(
	    	(response) => { return checkStatus(response); }
	    ).catch(
	    	(res) => { return checkCode(res); }
	    )
	}
}