import babelpolyfill from 'babel-polyfill'
import Vue from 'vue'
import App from './App'
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css';
import VueRouter from 'vue-router'
import store from './vuex/store'
import Vuex from 'vuex'
import routes from './routes'
import 'font-awesome/css/font-awesome.min.css'
import '@/common/dialog.js'

import  VueQuillEditor from 'vue-quill-editor'
Vue.use(VueQuillEditor)

Vue.use(ElementUI)
Vue.use(VueRouter)
Vue.use(Vuex)

const router = new VueRouter({
	routes
})

router.beforeEach((to,from,next) => {
	if( to.path == '/login' ){
		sessionStorage.removeItem('role');
	}
	let userRole = sessionStorage.getItem('role') || null;
	if( !userRole && to.path != '/login' ){	
		next({ path:'/login' })
	}else{
	    if( to.path ){
	    	next()
	    }else{
	    	next({ path:'/login' })
	    }
	}
});

new Vue({
	router,
  	render: h => h(App)
}).$mount('#root');