const login = r => require.ensure([], () => r(require('./views/login.vue')),'login')
const index = r => require.ensure([], () => r(require('./views/index.vue')),'index')
const userList = r => require.ensure([], () => r(require('./views/user/userList')),'userList')
const clientList = r => require.ensure([], () => r(require('./views/user/clientList.vue')),'clientList')
const clientdtl = r => require.ensure([], () => r(require('./views/user/clientdtl.vue')),'clientdtl')
const editPassword = r => require.ensure([], () => r(require('./views/user/editPassword.vue')),'weeklyList')
const weeklyList = r => require.ensure([], () => r(require('./views/weekly/weeklyList.vue')),'weeklyList')
const weeklyDetail = r => require.ensure([], () => r(require('./views/weekly/weeklyDetail.vue')),'weeklyDetail')
const researchReportList = r => require.ensure([], () => r(require('./views/researchReport/researchReportList.vue')),'researchReportList')
const alldtl = r => require.ensure([], () => r(require('./views/researchReport/alldtl.vue')),'alldtl')
const day = r => require.ensure([], () => r(require('./views/researchReport/day.vue')),'day')
const week = r => require.ensure([], () => r(require('./views/researchReport/week.vue')),'week')
const two_week = r => require.ensure([], () => r(require('./views/researchReport/two_week.vue')),'two_week')
const month = r => require.ensure([], () => r(require('./views/researchReport/month.vue')),'month')
const review = r => require.ensure([], () => r(require('./views/researchReport/review.vue')),'review')

const other = r => require.ensure([], () => r(require('./views/researchReport/other.vue')),'other')
const reportset = r => require.ensure([], () => r(require('./views/researchReport/reportsetting.vue')),'reportset')  //报告设置
const researchReportDetail = r => require.ensure([], () => r(require('./views/researchReport/researchReportDetail.vue')),'researchReportDetail')
const chartList = r => require.ensure([], () => r(require('./views/chart/chartList.vue')),'chartList')
const commentlist = r => require.ensure([], () => r(require('./views/chart/commentlist.vue')),'commentlist')
const chartcontent = r => require.ensure([], () => r(require('./views/chart/chartcontent.vue')),'chartcontent')

const chartDetail = r => require.ensure([], () => r(require('./views/chart/chartDetail.vue')),'chartDetail')
const pdfList = r => require.ensure([], () => r(require('./views/pdf/pdfList.vue')),'pdfList')
const pdfDetail = r => require.ensure([], () => r(require('./views/pdf/pdfDetail.vue')),'pdfDetail')
//const expireList = r => require.ensure([], () => r(require('./views/user/expireList.vue')),'expireList')  //过期客户
//const lossList = r => require.ensure([], () => r(require('./views/user/lossList.vue')),'lossList')  //流失客户
//const clientsearch = r => require.ensure([], () => r(require('./views/user/clientsearch.vue')),'clientsearch')  //客户检索
//const qzuserlist = r => require.ensure([], () => r(require('./views/user/qzuserlist.vue')),'qzuserlist')  //潜在客户列表
const telelist = r => require.ensure([], () => r(require('./views/teleconference/telelist.vue')),'telelist')  //电话会列表
const teledtl = r => require.ensure([], () => r(require('./views/teleconference/teledtl.vue')),'teledtl')  //电话会详情
const taclist = r => require.ensure([], () => r(require('./views/tactics/taclist.vue')),'taclist')  //策略列表
const tacdtl = r => require.ensure([], () => r(require('./views/tactics/tacdtl.vue')),'tacdtl')  //策略详情
const looktacdtl = r => require.ensure([], () => r(require('./views/tactics/looktacdtl.vue')),'looktacdtl')  //策略详情(只可以查看)

let routes = [
	{path:'*',redirect:{path:'/login'},hidden:true},
    {path:'/login',component:login,name:'login',hidden:true},
    {path:'/index',component:index,name:'index',hidden:false,
    	children:[
			{ path:'research/researchReportList',component:researchReportList,name:'researchReportList',hidden:false},
			{ path:'research/alldtl/:researchReportId/:tp/:status',component:alldtl,name:'alldtl',hidden:false},
			// { path:'research/day',component:day,name:'day',hidden:false},
			{ path:'research/week',component:week,name:'week',hidden:false},
			{ path:'research/two_week',component:two_week,name:'two_week',hidden:false},
			{ path:'research/month',component:month,name:'month',hidden:false},
			{ path:'research/review',component:review,name:'review',hidden:false},
			
			{ path:'research/other',component:other,name:'other',hidden:false},
			{ path:'research/reportset',component:reportset,name:'reportset',hidden:false},
			{ path:'research/researchReportDetail/:researchReportId/:tp/:status',component:researchReportDetail,name:'researchReportDetail',hidden:false},
        	// { path:'user/clientList',component:clientList,name:'clientList',hidden:false},
			// { path:'user/lossList',component:lossList,name:'lossList',hidden:false},
			// { path:'user/expireList',component:expireList,name:'expireList',hidden:false},
			// { path:'user/qzuserlist',component:qzuserlist,name:'qzuserlist',hidden:false},
			// { path:'user/clientsearch',component:clientsearch,name:'clientsearch',hidden:false},
			// { path:'user/clientdtl/:companyid',component:clientdtl,name:'clientdtl',hidden:false},
        	// { path:'user/userList/:companyId',component:userList,name:'userList',hidden:false},
        	{ path:'user/editPassword',component:editPassword,name:'editPassword',hidden:false},
        	{ path:'weekly/weeklyList',component:weeklyList,name:'weeklyList',hidden:false},
        	{ path:'weekly/weeklyDetail/:weeklyId',component:weeklyDetail,name:'weeklyDetail',hidden:false},
        	{ path:'chart/chartList',component:chartList,name:'chartList',hidden:false},
        	{ path:'chart/chartDetail/:chartId',component:chartDetail,name:'chartDetail',hidden:false},
			{ path:'chart/commentlist/:chartid',component:commentlist,name:'commentlist',hidden:false},
			{ path:'chart/chartcontent/:chartid',component:chartcontent,name:'chartcontent',hidden:false},
			
        	{ path:'pdf/pdfList',component:pdfList,name:'pdfList',hidden:false},
        	{ path:'pdf/pdfDetail/:pdfId',component:pdfDetail,name:'pdfDetail',hidden:false},
			{ path:'tele/telelist',component:telelist,name:'telelist',hidden:false},
			{ path:'tele/teledtl/:teleid',component:teledtl,name:'teledtl',hidden:false},
			{ path:'tac/taclist',component:taclist,name:'taclist',hidden:false},
			{ path:'tac/tacdtl/:tacid',component:tacdtl,name:'tacdtl',hidden:false},
			{ path:'tac/looktacdtl/:tacid',component:looktacdtl,name:'looktacdtl',hidden:false},
      	]
    },
];

export default routes;